> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List comment automations

> Without postId, returns a paginated list of all automations for the account. With postId (an Instagram media id), returns the automations that apply to that post as { postSpecific, global }.



## OpenAPI

````yaml get /api/public/instagram/accounts/{instagramAccountId}/automations
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/instagram/accounts/{instagramAccountId}/automations:
    get:
      tags:
        - Instagram Comment Automations
      summary: List comment automations
      description: >-
        Without postId, returns a paginated list of all automations for the
        account. With postId (an Instagram media id), returns the automations
        that apply to that post as { postSpecific, global }.
      operationId: PublicInstagramCommentAutomationController_listAutomations
      parameters:
        - name: x-api-key
          in: header
          description: API key required to authorize the request
          required: true
          schema:
            type: string
        - name: instagramAccountId
          required: true
          in: path
          description: Vambe Instagram account id
          schema:
            type: string
        - name: postId
          required: false
          in: query
          description: Instagram media id (from GET .../posts).
          schema:
            type: string
            minLength: 1
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            type: integer
        - name: limit
          required: false
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: filterType
          required: false
          in: query
          schema:
            enum:
              - all
              - global
              - individual
            type: string
        - name: search
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Comment automations.

````